Subject: Re: [PATCH] [v5] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Mon, 20 Jun 2016 12:41:23 -0500

Rob Herring wrote:
>> >+		dma-ranges = <0 0 0xffffffff>;
> I believe dma-ranges is supposed to be in the bus (parent) node.

Maybe I'm just going to be perpetually confused by dma-ranges, but how 
can I specify that the emac has a different DMA range from another SOC 
device, if dma-ranges is in the parent node?

The EMAC itself is capable of 64-bit DMA internally (I should have 
included a dma_set_mask call with DMA_BIT_MASK(64) in the driver). 
However, the platform typically limits this range.  On FSM9900 and 
QDF2432, it's 32 bits.  On the next server chip, it'll be the full 64 
bits.  I need some way to handle that.

-- 
Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora
Forum, a Linux Foundation collaborative project.